> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fnskutoasin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get and assign scan task



## OpenAPI

````yaml post /v1/ScanTask/Assign
openapi: 3.0.0
info:
  title: ATO.BARCODE
  description: '<h4>Baseurl: <strong>https://ato.fnskutoasin.com</strong></h4>'
  version: 1.0.0
servers:
  - url: https://ato.fnskutoasin.com/api
security: []
paths:
  /v1/ScanTask/Assign:
    post:
      tags:
        - ScanTask
      summary: Get and assign scan task
      operationId: ScanTask_Assign
      parameters:
        - name: apiKey
          in: header
          schema:
            type: string
            nullable: true
          x-position: 1
        - name: workerId
          in: query
          schema:
            type: string
            nullable: true
          x-position: 2
      responses:
        '200':
          description: Status 200 OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultOfString'
components:
  schemas:
    ResultOfString:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            data:
              type: string
              nullable: true
    Result:
      type: object
      additionalProperties: false
      properties:
        messages:
          type: array
          nullable: true
          items:
            type: string
        succeeded:
          type: boolean

````